<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <button>点击</button>
    <button>点击</button>
    <button>点击</button>
    <script>
        const arr = [1, 22, 3, 55, 9, 20, 99, 500, 203]

        // console.log(Math.max(...arr))

        // let arr_max = Math.max.apply('', arr)
        // console.log(arr_max)

        // let arr_max = arr[0]
        // for (let i = 0; i < arr.length; i++) {
        //     arr_max = arr_max > arr[i] ? arr_max : arr[i]
        // }
        // console.log(arr_max)

        var btns = document.querySelectorAll('button')
        for (let i = 0; i < btns.length; i++) {
            btns[i].addEventListener('click', function() {
                this.disabled = true
                setTimeout(function() {
                    this.disabled = false
                }.bind(this), 2000)
            })
        }
        // btns.forEach( x => {
        //     x.onclick = function() {
        //         this.disable = true
        //         setTimeout(function() {
        //             this.disable = false
        //         }.bind(this), 2000)
        //     }
        // })
    </script>
</body>
</html>